This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 981759 - HD 7870 with two monitors doesn't work
HD 7870 with two monitors doesn't work
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 13:58 EDT by Alexei Panov
Modified: 2015-02-17 10:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:53:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg after login with drm.debug=0x04 (131.34 KB, text/x-log)
2013-07-05 13:58 EDT, Alexei Panov
no flags Details
/var/log/Xorg.0.log after login (56.49 KB, text/x-log)
2013-07-05 13:59 EDT, Alexei Panov
no flags Details
/var/log/messages after login (3.54 MB, text/plain)
2013-07-05 13:59 EDT, Alexei Panov
no flags Details

  None (edit)
Description Alexei Panov 2013-07-05 13:58:28 EDT
Created attachment 769349 [details]
dmesg after login with drm.debug=0x04

Description of problem:
I have installed new video card
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Pitcairn XT [Radeon HD 7870 GHz Edition] [1002:6818]
with two monitors. After login in DE (KDE, Gnome, etc) first monitor shown in blue strips, second monitor disabled. System don't freeze, but monitors freezes.

Version-Release number of selected component (if applicable):
kernel-3.9.9-301.fc19.x86_64 (and 3.10.0-1.fc19.x86_64 too)
xorg-x11-drv-ati-7.1.0-5.20130408git6e74aacc5.fc19.x86_64

How reproducible:
All time

Steps to Reproduce:
1. Plug videocard
2. connect two monitors
3. boot and login

Actual results:
monitors doesn't work

Expected results:
both monitors works

Additional info:
Videocard after 23 jan 2013 (not defective). 
Perfectly works in Windows. And with one monitor works too.
Comment 1 Alexei Panov 2013-07-05 13:59:04 EDT
Created attachment 769350 [details]
/var/log/Xorg.0.log after login
Comment 2 Alexei Panov 2013-07-05 13:59:44 EDT
Created attachment 769352 [details]
/var/log/messages after login
Comment 3 Alexei Panov 2013-07-15 12:32:41 EDT
I have reproduced this bug with fresh git xf86-driver-ati and drm-next.
Bug in upstream https://bugs.freedesktop.org/show_bug.cgi?id=66934
Comment 4 Alexei Panov 2013-08-19 15:24:06 EDT
Upstream bug has patches for fix this bug.
I've tested it. It's works.
Upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=64850
Patch 1 https://bugs.freedesktop.org/attachment.cgi?id=84273
Patch 2 https://bugs.freedesktop.org/attachment.cgi?id=84274

Source RPM with patchset.
http://repo.elemc.name/repos/sources/kernel-3.11.0-0.rc5.git6.3.fc20.src.rpm
Comment 5 Alexei Panov 2013-10-09 08:40:04 EDT
This bug was fixed in kernel 3.11.3.
Comment 6 Fedora End Of Life 2015-01-09 13:41:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:53:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.